diff -r f40675df5d4c trytond/modules/account/account.py
--- a/trytond/modules/account/account.py	Fri Sep 21 15:57:18 2012 +0200
+++ b/trytond/modules/account/account.py	Mon Sep 24 20:36:38 2012 +0200
@@ -626,69 +570,72 @@
             }, depends=['kind'])
     template = fields.Many2One('account.account.template', 'Template')
 
-    def __init__(self):
-        super(Account, self).__init__()
-        self._constraints += [
+    @classmethod
+    def __setup__(cls):
+        super(Account, cls).__setup__()
+        cls._constraints += [
             ('check_recursion', 'recursive_accounts'),
         ]
-        self._error_messages.update({
+        cls._error_messages.update({
             'recursive_accounts': 'You can not create recursive accounts!',
             'delete_account_containing_move_lines': 'You can not delete ' \
                     'accounts containing move lines!',
         })
-        self._sql_error_messages.update({
+        cls._sql_error_messages.update({
             'parent_fkey': 'You can not delete accounts ' \
                     'that have children!',
         })
-        self._order.insert(0, ('code', 'ASC'))
-        self._order.insert(1, ('name', 'ASC'))
+        cls._order.insert(0, ('code', 'ASC'))
+        cls._order.insert(1, ('name', 'ASC'))
 
-    def default_left(self):
+    @staticmethod
+    def default_left():
         return 0
 
-    def default_right(self):
+    @staticmethod
+    def default_right():
         return 0
 
-    def default_active(self):
+    @staticmethod
+    def default_active():
         return True
 
-    def default_company(self):
+    @staticmethod
+    def default_company():
         return Transaction().context.get('company') or None
 
-    def default_reconcile(self):
+    @staticmethod
+    def default_reconcile():
         return False
 
-    def default_deferral(self):
+    @staticmethod
+    def default_deferral():
         return True
 
-    def default_kind(self):
+    @staticmethod
+    def default_kind():
         return 'view'
 
-    def get_currency(self, ids, name):
-        res = {}
-        for account in self.browse(ids):
-            res[account.id] = account.company.currency.id
-        return res
+    def get_currency(self, name):
+        return self.company.currency.id
 
-    def get_currency_digits(self, ids, name):
-        res = {}
-        for account in self.browse(ids):
-            res[account.id] = account.company.currency.digits
-        return res
+    def get_currency_digits(self, name):
+        return self.company.currency.digits
 
-    def get_balance(self, ids, name):
+    @classmethod
+    def get_balance(cls, accounts, name):
         res = {}
         pool = Pool()
-        currency_obj = pool.get('currency.currency')
-        move_line_obj = pool.get('account.move.line')
-        fiscalyear_obj = pool.get('account.fiscalyear')
-        deferral_obj = pool.get('account.account.deferral')
+        Currency = pool.get('currency.currency')
+        MoveLine = pool.get('account.move.line')
+        FiscalYear = pool.get('account.fiscalyear')
+        Deferral = pool.get('account.account.deferral')
         cursor = Transaction().cursor
 
-        query_ids, args_ids = self.search([
-            ('parent', 'child_of', ids),
-            ], query_string=True)
-        line_query, fiscalyear_ids = move_line_obj.query_get()
+        query_ids, args_ids = cls.search([
+                ('parent', 'child_of', [a.id for a in accounts]),
+                ], query_string=True)
+        line_query, fiscalyear_ids = MoveLine.query_get()
         cursor.execute('SELECT a.id, ' \
                     'SUM((COALESCE(l.debit, 0) - COALESCE(l.credit, 0))) ' \
                 'FROM account_account a ' \
@@ -709,84 +656,79 @@
         account2company = {}
         id2company = {}
         id2account = {}
-        all_ids = self.search([('parent', 'child_of', ids)])
-        accounts = self.browse(all_ids)
-        for account in accounts:
+        all_accounts = cls.search([('parent', 'child_of',
+                    [a.id for a in accounts])])
+        for account in all_accounts:
             account2company[account.id] = account.company.id
             id2company[account.company.id] = account.company
             id2account[account.id] = account
 
-        for account_id in ids:
-            res.setdefault(account_id, Decimal('0.0'))
-            child_ids = self.search([
-                ('parent', 'child_of', [account_id]),
-                ])
-            company_id = account2company[account_id]
+        for account in accounts:
+            res.setdefault(account.id, Decimal('0.0'))
+            childs = cls.search([
+                    ('parent', 'child_of', [account.id]),
+                    ])
+            company_id = account2company[account.id]
             to_currency = id2company[company_id].currency
-            for child_id in child_ids:
-                child_company_id = account2company[child_id]
+            for child in childs:
+                child_company_id = account2company[child.id]
                 from_currency = id2company[child_company_id].currency
-                res[account_id] += currency_obj.compute(from_currency,
-                        account_sum.get(child_id, Decimal('0.0')), to_currency,
+                res[account.id] += Currency.compute(from_currency,
+                        account_sum.get(child.id, Decimal('0.0')), to_currency,
                         round=True)
 
         youngest_fiscalyear = None
-        for fiscalyear in fiscalyear_obj.browse(fiscalyear_ids):
+        for fiscalyear in FiscalYear.browse(fiscalyear_ids):
             if not youngest_fiscalyear \
                     or youngest_fiscalyear.start_date > fiscalyear.start_date:
                 youngest_fiscalyear = fiscalyear
 
         fiscalyear = None
         if youngest_fiscalyear:
-            fiscalyear_ids = fiscalyear_obj.search([
+            fiscalyears = FiscalYear.search([
                 ('end_date', '<=', youngest_fiscalyear.start_date),
                 ('company', '=', youngest_fiscalyear.company),
                 ], order=[('end_date', 'DESC')], limit=1)
-            if fiscalyear_ids:
-                fiscalyear = fiscalyear_obj.browse(fiscalyear_ids[0])
+            if fiscalyears:
+                fiscalyear = fiscalyears[0]
 
         if fiscalyear:
             if fiscalyear.state == 'close':
-                deferral_ids = deferral_obj.search([
+                deferrals = Deferral.search([
                     ('fiscalyear', '=', fiscalyear.id),
-                    ('account', 'in', ids),
+                    ('account', 'in', [a.id for a in accounts]),
                     ])
                 id2deferral = {}
-                for deferral in deferral_obj.browse(deferral_ids):
+                for deferral in deferrals:
                     id2deferral[deferral.account.id] = deferral
 
-                for account_id in ids:
-                    if account_id in id2deferral:
-                        deferral = id2deferral[account_id]
-                        res[account_id] += deferral.debit - deferral.credit
+                for account in accounts:
+                    if account.id in id2deferral:
+                        deferral = id2deferral[account.id]
+                        res[account.id] += deferral.debit - deferral.credit
             else:
                 with Transaction().set_context(fiscalyear=fiscalyear.id,
                         date=None, periods=None):
-                    res2 = self.get_balance(ids, name)
-                for account_id in ids:
-                    res[account_id] += res2[account_id]
+                    res2 = cls.get_balance(accounts, name)
+                for account in accounts:
+                    res[account.id] += res2[account.id]
 
-        for account_id in ids:
-            company_id = account2company[account_id]
+        for account in accounts:
+            company_id = account2company[account.id]
             to_currency = id2company[company_id].currency
-            res[account_id] = currency_obj.round(to_currency, res[account_id])
+            res[account.id] = to_currency.round(res[account.id])
         return res
 
-    def get_credit_debit(self, ids, names):
+    @classmethod
+    def get_credit_debit(cls, accounts, names):
         '''
-        Function to compute debit, credit for account ids.
-
-        :param ids: the ids of the account
-        :param names: the list of field name to compute
-        :return: a dictionary with all field names as key and
-            a dictionary as value with id as key
+        Function to compute debit, credit for accounts.
         '''
         res = {}
         pool = Pool()
-        move_line_obj = pool.get('account.move.line')
-        currency_obj = pool.get('currency.currency')
-        fiscalyear_obj = pool.get('account.fiscalyear')
-        deferral_obj = pool.get('account.account.deferral')
+        MoveLine = pool.get('account.move.line')
+        FiscalYear = pool.get('account.fiscalyear')
+        Deferral = pool.get('account.account.deferral')
         cursor = Transaction().cursor
 
         for name in names:
@@ -794,7 +736,8 @@
                 raise Exception('Bad argument')
             res[name] = {}
 
-        line_query, fiscalyear_ids = move_line_obj.query_get()
+        ids = [a.id for a in accounts]
+        line_query, fiscalyear_ids = MoveLine.query_get()
         for i in range(0, len(ids), cursor.IN_MAX):
             sub_ids = ids[i:i + cursor.IN_MAX]
             red_sql, red_ids = reduce_ids('a.id', sub_ids)
@@ -820,130 +763,120 @@
 
         account2company = {}
         id2company = {}
-        accounts = self.browse(ids)
         for account in accounts:
             account2company[account.id] = account.company.id
             id2company[account.company.id] = account.company
 
-        for account_id in ids:
+        for account in accounts:
             for name in names:
-                res[name].setdefault(account_id, Decimal('0.0'))
+                res[name].setdefault(account.id, Decimal('0.0'))
 
         youngest_fiscalyear = None
-        for fiscalyear in fiscalyear_obj.browse(fiscalyear_ids):
+        for fiscalyear in FiscalYear.browse(fiscalyear_ids):
             if not youngest_fiscalyear \
                     or youngest_fiscalyear.start_date > fiscalyear.start_date:
                 youngest_fiscalyear = fiscalyear
 
         fiscalyear = None
         if youngest_fiscalyear:
-            fiscalyear_ids = fiscalyear_obj.search([
+            fiscalyears = FiscalYear.search([
                 ('end_date', '<=', youngest_fiscalyear.start_date),
                 ('company', '=', youngest_fiscalyear.company),
                 ], order=[('end_date', 'DESC')], limit=1)
-            if fiscalyear_ids:
-                fiscalyear = fiscalyear_obj.browse(fiscalyear_ids[0])
+            if fiscalyears:
+                fiscalyear, = fiscalyears
 
         if fiscalyear:
             if fiscalyear.state == 'close':
-                deferral_ids = deferral_obj.search([
+                deferrals = Deferral.search([
                     ('fiscalyear', '=', fiscalyear.id),
                     ('account', 'in', ids),
                     ])
                 id2deferral = {}
-                for deferral in deferral_obj.browse(deferral_ids):
+                for deferral in deferrals:
                     id2deferral[deferral.account.id] = deferral
 
-                for account_id in ids:
-                    if account_id in id2deferral:
-                        deferral = id2deferral[account_id]
+                for account in accounts:
+                    if account.id in id2deferral:
+                        deferral = id2deferral[account.id]
                         for name in names:
-                            res[name][account_id] += deferral[name]
+                            res[name][account.id] += deferral[name]
             else:
                 with Transaction().set_context(fiscalyear=fiscalyear.id,
                         date=None, dates=None):
-                    res2 = self.get_credit_debit(ids, names)
-                for account_id in ids:
+                    res2 = cls.get_credit_debit(accounts, names)
+                for account in accounts:
                     for name in names:
-                        res[name][account_id] += res2[name][account_id]
+                        res[name][account.id] += res2[name][account.id]
 
-        for account_id in ids:
-            company_id = account2company[account_id]
+        for account in accounts:
+            company_id = account2company[account.id]
             currency = id2company[company_id].currency
             for name in names:
-                res[name][account_id] = currency_obj.round(currency,
-                        res[name][account_id])
+                res[name][account.id] = currency.round(res[name][account.id])
         return res
 
-    def get_rec_name(self, ids, name):
-        if not ids:
-            return {}
-        res = {}
-        for account in self.browse(ids):
-            if account.code:
-                res[account.id] = account.code + ' - ' + account.name
-            else:
-                res[account.id] = account.name
-        return res
+    def get_rec_name(self, name):
+        if self.code:
+            return self.code + ' - ' + self.name
+        else:
+            return self.name
 
-    def search_rec_name(self, name, clause):
-        ids = self.search([
-            ('code',) + clause[1:],
-            ], limit=1)
-        if ids:
+    @classmethod
+    def search_rec_name(cls, name, clause):
+        accounts = cls.search([
+                ('code',) + clause[1:],
+                ], limit=1)
+        if accounts:
             return [('code',) + clause[1:]]
-        return [(self._rec_name,) + clause[1:]]
+        return [(cls._rec_name,) + clause[1:]]
 
-    def copy(self, ids, default=None):
+    @classmethod
+    def copy(cls, accounts, default=None):
         if default is None:
             default = {}
         default['left'] = 0
         default['right'] = 0
-        res = super(Account, self).copy(ids, default=default)
-        self._rebuild_tree('parent', None, 0)
-        return res
+        new_accounts = super(Account, cls).copy(accounts, default=default)
+        cls._rebuild_tree('parent', None, 0)
+        return new_accounts
 
-    def write(self, ids, vals):
+    @classmethod
+    def write(cls, accounts, vals):
         if not vals.get('active', True):
-            move_line_obj = Pool().get('account.move.line')
-            account_ids = self.search([
-                ('parent', 'child_of', ids),
-                ])
-            if move_line_obj.search([
-                ('account', 'in', account_ids),
-                ]):
+            MoveLine = Pool().get('account.move.line')
+            childs = cls.search([
+                    ('parent', 'child_of', [a.id for a in accounts]),
+                    ])
+            if MoveLine.search([
+                        ('account', 'in', [a.id for a in childs]),
+                        ]):
                 vals = vals.copy()
                 del vals['active']
-        return super(Account, self).write(ids, vals)
+        super(Account, cls).write(accounts, vals)
 
-    def delete(self, ids):
-        move_line_obj = Pool().get('account.move.line')
-        if isinstance(ids, (int, long)):
-            ids = [ids]
-        account_ids = self.search([
-            ('parent', 'child_of', ids),
-            ])
-        if move_line_obj.search([
-            ('account', 'in', account_ids),
-            ]):
-            self.raise_user_error('delete_account_containing_move_lines')
-        return super(Account, self).delete(account_ids)
+    @classmethod
+    def delete(cls, accounts):
+        MoveLine = Pool().get('account.move.line')
+        childs = cls.search([
+                ('parent', 'child_of', [a.id for a in accounts]),
+                ])
+        if MoveLine.search([
+                    ('account', 'in', [a.id for a in childs]),
+                    ]):
+            cls.raise_user_error('delete_account_containing_move_lines')
+        super(Account, cls).delete(accounts)
 
-    def update_account(self, account, template2account=None,
-            template2type=None):
+    def update_account(self, template2account=None, template2type=None):
         '''
         Update recursively accounts based on template.
-
-        :param account: an account id or the BrowseRecord of the account
-        :param template2account: a dictionary with template id as key
-                and account id as value, used to convert template id
-                into account. The dictionary is filled with new accounts
-        :param template2type: a dictionary with type template id as key
-                and type id as value, used to convert type template id
-                into type.
+        template2account is a dictionary with template id as key and account id
+        as value, used to convert template id into account. The dictionary is
+        filled with new accounts.
+        template2type is a dictionary with type template id as key and type id
+        as value, used to convert type template id into type.
         '''
-        template_obj = Pool().get('account.account.template')
-        lang_obj = Pool().get('ir.lang')
+        Lang = Pool().get('ir.lang')
 
         if template2account is None:
             template2account = {}
@@ -951,53 +884,46 @@
         if template2type is None:
             template2type = {}
 
-        if isinstance(account, (int, long)):
-            account = self.browse(account)
+        if self.template:
+            vals = self.template._get_account_value(account=self)
+            if self.type.id != template2type.get(self.template.type.id):
+                vals['type'] = template2type.get(self.template.type.id)
+            if vals:
+                self.write([self], vals)
 
-        if account.template:
-            vals = template_obj._get_account_value(account.template,
-                    account=account)
-            if account.type.id != template2type.get(account.template.type.id):
-                vals['type'] = template2type.get(account.template.type.id)
-            if vals:
-                self.write(account.id, vals)
-
-            prev_lang = account._context.get('language') or CONFIG['language']
+            prev_lang = self._context.get('language') or CONFIG['language']
             prev_data = {}
-            for field_name, field in account.template._columns.iteritems():
+            for field_name, field in self.template._fields.iteritems():
                 if getattr(field, 'translate', False):
-                    prev_data[field_name] = account.template[field_name]
-            for lang in lang_obj.get_translatable_languages():
+                    prev_data[field_name] = getattr(self.template, field_name)
+            for lang in Lang.get_translatable_languages():
                 if lang == prev_lang:
                     continue
-                account.setLang(lang)
-                data = {}
-                for field_name, field in account.template._columns.iteritems():
-                    if (getattr(field, 'translate', False)
-                            and account.template[field_name] !=
-                            prev_data[field_name]):
-                        data[field_name] = account.template[field_name]
-                if data:
-                    with Transaction().set_context(language=lang):
-                        self.write(account.id, data)
-            account.setLang(prev_lang)
-            template2account[account.template.id] = account.id
+                with Transaction().set_context(language=lang):
+                    account = self.__class__(self.id)
+                    data = {}
+                    for field_name, field in (
+                            account.template._fields.iteritems()):
+                        if (getattr(field, 'translate', False)
+                                and (getattr(account.template, field_name) !=
+                                    prev_data[field_name])):
+                            data[field_name] = getattr(account.template,
+                                field_name)
+                    if data:
+                        self.write([account], data)
+            template2account[self.template.id] = self.id
 
-        for child in account.childs:
-            self.update_account(child, template2account=template2account,
-                    template2type=template2type)
+        for child in self.childs:
+            child.update_account(template2account=template2account,
+                template2type=template2type)
 
-    def update_account_taxes(self, account, template2account, template2tax):
+    def update_account_taxes(self, template2account, template2tax):
         '''
         Update recursively account taxes base on template.
-
-        :param account: the account id or the BrowseRecord of account
-        :param template2account: a dictionary with template id as key
-            and account id as value, used to convert template id into
-            account.
-        :param template2tax: a dictionary with tax template id as key
-            and tax id as value, used to convert tax template id into
-            tax.
+        template2account is a dictionary with template id as key and account id
+        as value, used to convert template id into account.
+        template2tax is a dictionary with tax template id as key and tax id as
+        value, used to convert tax template id into tax.
         '''
         if template2account is None:
             template2account = {}
@@ -1005,28 +931,23 @@
         if template2tax is None:
             template2tax = {}
 
-        if isinstance(account, (int, long)):
-            account = self.browse(account)
-
-        if account.template:
-            if account.template.taxes:
-                tax_ids = [template2tax[x.id] for x in account.template.taxes
+        if self.template:
+            if self.template.taxes:
+                tax_ids = [template2tax[x.id] for x in self.template.taxes
                         if x.id in template2tax]
-                old_tax_ids = [x.id for x in account.taxes]
+                old_tax_ids = [x.id for x in self.taxes]
                 for tax_id in tax_ids:
                     if tax_id not in old_tax_ids:
-                        self.write(account.id, {
+                        self.write([self], {
                             'taxes': [
-                                ('add', template2tax[x.id]) \
-                                        for x in account.template.taxes \
-                                        if x.id in template2tax],
-                            })
+                                    ('add', template2tax[x.id])
+                                    for x in self.template.taxes
+                                    if x.id in template2tax],
+                                })
                         break
 
-        for child in account.childs:
-            self.update_account_taxes(child, template2account, template2tax)
-
-Account()
+        for child in self.childs:
+            child.update_account_taxes(template2account, template2tax)
 
 
 class AccountDeferral(ModelSQL, ModelView):
@@ -1035,9 +956,7 @@
 
     It is used to deferral the debit/credit of account by fiscal year.
     '''
-    _name = 'account.account.deferral'
-    _description = 'Account Deferral'
-
+    __name__ = 'account.account.deferral'
     account = fields.Many2One('account.account', 'Account', required=True,
             select=True)
     fiscalyear = fields.Many2One('account.fiscalyear', 'Fiscal Year',
@@ -1049,62 +968,51 @@
     currency_digits = fields.Function(fields.Integer('Currency Digits'),
             'get_currency_digits')
 
-    def __init__(self):
-        super(AccountDeferral, self).__init__()
-        self._sql_constraints += [
+    @classmethod
+    def __setup__(cls):
+        super(AccountDeferral, cls).__setup__()
+        cls._sql_constraints += [
             ('deferral_uniq', 'UNIQUE(account, fiscalyear)',
                 'Deferral must be unique by account and fiscal year'),
         ]
-        self._error_messages.update({
+        cls._error_messages.update({
             'write_deferral': 'You can not modify Account Deferral records',
             })
 
-    def get_currency_digits(self, ids, name):
-        res = {}
-        for deferral in self.browse(ids):
-            res[deferral.id] = deferral.account.currency_digits
-        return res
+    def get_currency_digits(self, name):
+        return self.account.currency_digits
 
-    def get_rec_name(self, ids, name):
-        if not ids:
-            return {}
-        res = {}
-        for deferral in self.browse(ids):
-            res[deferral.id] = deferral.account.rec_name + ' - ' + \
-                    deferral.fiscalyear.rec_name
-        return res
+    def get_rec_name(self, name):
+        return '%s - %s' % (self.account.rec_name, self.fiscalyear.rec_name)
 
-    def search_rec_name(self, name, clause):
-        ids = self.search(['OR',
-            ('account.rec_name',) + clause[1:],
-            ('fiscalyear.rec_name',) + clause[1:],
-            ])
-        return [('id', 'in', ids)]
+    @classmethod
+    def search_rec_name(cls, name, clause):
+        deferrals = cls.search(['OR',
+                ('account.rec_name',) + clause[1:],
+                ('fiscalyear.rec_name',) + clause[1:],
+                ])
+        return [('id', 'in', [d.id for d in deferrals])]
 
-    def write(self, ids, vals):
-        self.raise_user_error('write_deferral')
-
-AccountDeferral()
+    @classmethod
+    def write(cls, deferrals, vals):
+        cls.raise_user_error('write_deferral')
 
 
 class OpenChartAccountStart(ModelView):
     'Open Chart of Accounts'
-    _name = 'account.open_chart.start'
-    _description = __doc__
+    __name__ = 'account.open_chart.start'
     fiscalyear = fields.Many2One('account.fiscalyear', 'Fiscal Year',
             help='Leave empty for all open fiscal year')
     posted = fields.Boolean('Posted Move', help='Show only posted move')
 
-    def default_posted(self):
+    @staticmethod
+    def default_posted():
         return False
 
-OpenChartAccountStart()
-
 
 class OpenChartAccount(Wizard):
     'Open Chart of Accounts'
-    _name = 'account.open_chart'
-
+    __name__ = 'account.open_chart'
     start = StateView('account.open_chart.start',
         'account.open_chart_start_view_form', [
             Button('Cancel', 'end', 'tryton-cancel'),
@@ -1112,23 +1020,21 @@
             ])
     open_ = StateAction('account.act_account_tree2')
 
-    def do_open_(self, session, action):
+    def do_open_(self, action):
         action['pyson_context'] = PYSONEncoder().encode({
-            'fiscalyear': session.start.fiscalyear.id,
-            'posted': session.start.posted,
+            'fiscalyear': (self.start.fiscalyear.id
+                    if self.start.fiscalyear else None),
+            'posted': self.start.posted,
             })
         return action, {}
 
-    def transition_open_(self, session):
+    def transition_open_(self):
         return 'end'
 
-OpenChartAccount()
-
 
 class PrintGeneralLegderStart(ModelView):
     'Print General Ledger'
-    _name = 'account.print_general_ledger.start'
-    _description = __doc__
+    __name__ = 'account.print_general_ledger.start'
     fiscalyear = fields.Many2One('account.fiscalyear', 'Fiscal Year',
             required=True, on_change=['fiscalyear'])
     start_period = fields.Many2One('account.period', 'Start Period',
@@ -1147,35 +1053,34 @@
     empty_account = fields.Boolean('Empty Account',
             help='With account without move')
 
-    def default_fiscalyear(self):
-        fiscalyear_obj = Pool().get('account.fiscalyear')
-        fiscalyear_id = fiscalyear_obj.find(
-                Transaction().context.get('company'), exception=False)
-        if fiscalyear_id:
-            return fiscalyear_id
+    @staticmethod
+    def default_fiscalyear():
+        FiscalYear = Pool().get('account.fiscalyear')
+        return FiscalYear.find(
+            Transaction().context.get('company'), exception=False)
 
-    def default_company(self):
+    @staticmethod
+    def default_company():
         return Transaction().context.get('company')
 
-    def default_posted(self):
+    @staticmethod
+    def default_posted():
         return False
 
-    def default_empty_account(self):
+    @staticmethod
+    def default_empty_account():
         return False
 
-    def on_change_fiscalyear(self, vals):
+    def on_change_fiscalyear(self):
         return {
             'start_period': None,
             'end_period': None,
-        }
-
-PrintGeneralLegderStart()
+            }
 
 
 class PrintGeneralLegder(Wizard):
     'Print General Legder'
-    _name = 'account.print_general_ledger'
-
+    __name__ = 'account.print_general_ledger'
     start = StateView('account.print_general_ledger.start',
         'account.print_general_ledger_start_view_form', [
             Button('Cancel', 'end', 'tryton-cancel'),
